%
% Copyright (C) Dale L. Ang
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
%
% GUI interface for the SOMSpec suite - not yet functional
% 

function SOMSpecMain()
%% Set up parameters
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @SSNNGUI_versionA_OpeningFcn, ...
                   'gui_OutputFcn',  @SSNNGUI_versionA_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);


                
                

refSetFileVa = 'IRset'; % Name of the training set - excluding extension
refSetFileExt = '.txt'; % file extension of training set file - .txt or .csv
testSetFileVa = 'IRtestset'; % Name of the test set
testSetFileExt = '.txt'; % file extension of test set - .txt or .csv
numIterations = 10; % values between 10000 and 50000 are realistic
mapLength = 30; % Values between 10 and 100 are realistic
numStructures = 5; % Defines number of properties the training set contains (=number of rows at end of input file).

% For validation only
V = ''; % Initialise as nothing - only used for VAL
W = ''; % Initialise as nothing - only used for VAL

% What do you want to perform?
train = 1;
test = 0;
normalize = 0; % normalise spectra as it is imported?
validate = 0;

if train == 1 % run the training code
   SSTRAIN(refSetFileVa,refSetFileExt,W,numIterations,mapLength,numStructures);
end

if test == 1 % run the test code
   SSTEST(testSetFileVa,testSetFileExt,W,numIterations); % Running a prediction
end

if test == 1 % run the validation code
   %SSVALIDATE(testSetFileVa,W); % Running a prediction - not yet implemented
end

fprintf('SOMSpec execution complete.\n');
fclose all;
clear;
end