%
% Copyright (C) Dale L. Ang
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
%
% Produces correctly formatted SOMSpec input files. Chops the input data
% into a wavelength range matching the trained MAP. Step size doesn't
% matter as SOMSpec can accept any step size.
% - currently redundant - done in the SSJASMULTI.m file
%

function SSJSOMProc(CDSSNNdata,WLstart,WLend)
%% What is the wavelength range of the SSNN2 Map? - this will eventually be automatic
SOMWLstart = 240; % Start waelength of the trained SSNN2 map
SOMWLend = 190; % End wavelength of teh trained SSNN2 map

WL1 = WLstart - SOMWLstart;
WL2 = WLend - SOMWLend;

x = length(); % calculate the first element
y = length(); % calculate the last element

while 1
   for i = a:b
    x = CDSSNNdata();
   end
end

lineNum = 0;
while ~feof(fh)
   tline = fgets(fh);
   lineNum = lineNum +1;
   if lineNum == lineNumStart
      CDCellArray = textscan(fh,inputSpec);
   end
end

%% Process the data and subtract the blank
CDdataRaw = cell2mat(CDCellArray); % Convert to matrix
CDdataRaw2 = CDdataRaw(:,2); % Get the CD data from the experimental
blank = cell2mat(blankCellArray); % Convert to matrix
blank2 = blank(:,2); % Get the CD data from the blank
CDdataProcessed = CDdataRaw2 - blank2; % subtract the blank from the experimental
CDdata = CDdataProcessed;

%% Do wavelength calculations
WLdata = CDdataRaw(:,1);
WLstart = WLdata(1,1);
WLend = WLdata(end);
WLstep = WLdata(1) - WLdata(2);

if WLstep ~= 1 % Change for non integer wavelength steps @@@ need change to more versatile version
   CDdata = CDdata(1:2:end);
end

dlmwrite('SSNNinputfile.txt');

end