%
% Copyright (C) Dale L. Ang
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
%
% -Not used- Loads and processes PCDDB .pcd files.
%

function [CDdata,WLstart,WLend,WLstep] = SSPCDDBProc(inputFile,lineNumStart,inputSpec,blankCellArray)

fh = fopen(inputFile,'rt');
lineNum = 0;
while ~feof(fh)
   tline = fgets(fh);
   lineNum = lineNum +1;
   if lineNum == lineNumStart
      CDCellArray = textscan(fh,inputSpec);
   end
end

%% Process the data and subtract the blank
CDdataRaw = cell2mat(CDCellArray); % Convert to matrix
CDdataRaw2 = CDdataRaw(:,2); % Get the CD data from the experimental
blank = cell2mat(blankCellArray); % Convert to matrix
blank2 = blank(:,2); % Get the CD data from the blank
CDdataProcessed = CDdataRaw2 - blank2; % subtract the blank from the experimental
CDdata = CDdataProcessed;

%% Do wavelength calculations
WLdata = CDdataRaw(:,1);
WLstart = WLdata(1,1);
WLend = WLdata(end);
WLstep = WLdata(1) - WLdata(2);

if WLstep ~= 1 % Change for non integer wavelength steps @@@ need change to more versatile version
   CDdata = CDdata(1:2:end);
end

end


