%
% Copyright (C) Dale L. Ang
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
%
% Fit sigmoidal curve and output values - currently just a placeholder
%
%
% 
% function SSPLFit(inputFileName,savePath)
% 
%   Syntax: 
%         [param]=sigm_fit(x,y) 
%   
%         that is the same that 
%         [param]=sigm_fit(x,y,[],[],[]) % no fixed_params, automatic initial_params 
%   
%         [param]=sigm_fit(x,y,fixed_params) % automatic initial_params 
%         [param]=sigm_fit(x,y,[],initial_params) % use it when the estimation is poor 
%         [param]=sigm_fit(x,y,fixed_params,initial_params,plot_flag) 
%   
%   param = [min, max, x50, slope] 
%   
%   if fixed_params=[NaN, NaN , NaN , NaN] % or fixed_params=[] 
%   optimization of "min", "max", "x50" and "slope" (default) 
%   
%   if fixed_params=[0, 1 , NaN , NaN] 
%   optimization of x50 and slope of a sigmoid of ranging from 0 to 1 
%   
%   
%   Additional information in the second output, STAT 
%   [param,stat]=sigm_fit(x,y,fixed_params,initial_params,plot_flag) 
%   
%   
%   Example: 
%   %% generate data vectors (x and y) 
%   fsigm = @(param,xval) param(1)+(param(2)-param(1))./(1+10.^((param(3)-xval)*param(4))) 
%   param=[0 1 5 1]; % "min", "max", "x50", "slope" 
%   x=0:0.1:10; 
%   y=fsigm(param,x) + 0.1*randn(size(x)); 
%   
%   %% standard parameter estimation 
%   [estimated_params]=sigm_fit(x,y) 
%   
%   %% parameter estimation with forced 0.5 fixed min 
%   [estimated_params]=sigm_fit(x,y,[0.5 NaN NaN NaN]) 
%   
%   %% parameter estimation without plotting 
%   [estimated_params]=sigm_fit(x,y,[],[],0)


%end


