%
% Copyright (C) Dale L. Ang
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
%
% Plots the results from the multifile processing.
%

function SSPLOT(inputFileName,savePath)
%% Define input variables here.
clear;
savePath = '/home/dale/dev/SOMSpec/VAL47/VAL47-renormed/SOM-30-30000-32'; % temp variable set for dev
SSpredictionsFile = strcat(savePath,filesep,'Secondary_structure_predictions.txt'); % 
SSPred = load(SSpredictionsFile);

%% Read in the prediction values
for s = 1 : length(SSPred)
   SSalpha1 = SSPred(s,2);
   SSalpha2 = SSPred(s,3);
   SSalpha(s) = SSalpha1 + SSalpha2;
   SSbeta1 = SSPred(s,4);
   SSbeta2 = SSPred(s,5);
   SSbeta(s) = SSbeta1 + SSbeta2;
   SSturns = SSPred(s,6);
   SSrc = SSPred(s,7);
   SSrc(s) = SSrc2;% + SSrc2;
end

%% Plots the graphs.
figure(1);
hold on;
%subplot(1,3,1);
plot(SSalpha,'Marker','o','Color','r','LineWidth',2); % r,m
plot(SSbeta,'Marker','o','Color','b','LineWidth',2); % b,c
plot(SSrc,'Marker','o','Color','g','LineWidth',2); % g,k
xlim([1 length(SSalpha)]);
ylim([0 1]);

%subplot(1,3,2);
%plot(SSbeta,'Marker','o','Color','b','LineWidth',2);
%xlim([1 length(SSbeta)]);
%ylim([0 1]);

%subplot(1,3,3);
%plot(SSrc,'Marker','o','Color','g','LineWidth',2);
%xlim([1 length(SSrc)]);
%ylim([0 1]);

end


