%
% Copyright (C) Dale L. Ang
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
%
% Leave One Out Validation program for SOMSpec
% Does the following: 1. //Todo...
%
%  20181017 - Final v1.2
%

function SSVAResults(Filenames,Parameters)
   %% Define input variables here. All other options come from the training set files.
   %savePath = strcat('.',filesep,'validate'); % change this to desired output location
   currentTestSetPath = Filenames.savePathTest;
   %!structureFile = strcat(savePath,filesep,refSetFileVa,'TEST-',W,filesep,'Secondary_structure_predictions.txt'); % @@@Val
   structureFile = strcat(currentTestSetPath,'Secondary_structure_predictions.txt');
   strucFileInput = load(structureFile);

   %% Read in the secondary structure predictions
   property1 = strucFileInput(1,2);
   property2 = strucFileInput(1,3);
   %SSalphaTotal = SSalpha1 + SSalpha2;
   property3 = strucFileInput(1,4);
   property4 = strucFileInput(1,5);
   %SSbetaTotal = SSbeta1 + SSbeta2;
   property5 = strucFileInput(1,6);
   %%property6 = strucFileInput(1,7);
   %SSrc2 = strucFileInput(7);
   %SSrcTotal = SSrc1 + SSrc2;

   %% Read in NRMSD
   %!nrmsdFile = strcat(savePath,filesep,refSetFileVa,'TEST-',W,filesep,'Spectra_NRMSDs.txt'); % @@@Val
   nrmsdFile = strcat(currentTestSetPath,'Spectra_NRMSD.txt'); % @@@Val
   nrmsdFileInput = load(nrmsdFile);
   NRMSD = nrmsdFileInput(1,3);
   
   W = str2num(Parameters.W); % necessary to force outputData to be a float
   outputData = [W,property1,property2,property3,property4,property5,NRMSD];
   numIterations = num2str(Parameters.numIterations);
   mapLength = num2str(Parameters.mapLength);
   dlmwrite(strcat(Filenames.savePath,numIterations,'-',mapLength,'-LOOVRESULTS.txt'),outputData,'-append');
   fclose('all');
end
