%
% Copyright (C) Dale L. Ang
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
%
% Calculates the number of interpolation points based on wavelength range
%

function [Parameters] = calculateInterpolSteps(Parameters)

   wavelengthRange = (Parameters.wavelengthLong - Parameters.wavelengthShort); % Get absolute in case of user switcheroo
   Parameters.modelSizeInt = round(wavelengthRange*Parameters.numPointsPerStep); % Divide and round to nearest integer

end