%
% Copyright (C) Dale L. Ang
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
%
% Read file and return number of lines and columns.
% 

function [numLines,numCols] = getLinesColumns(file)

fh = fopen(file, 'rt'); % r = read only, t = text mode (Windows only)
assert(fh ~= -1, 'Could not read: %s', file);   

% Calculate the number of rows (numLines) in the input file - equivalent to the number of wavelengths.
frewind(fh);
numLines = 0; % Local variable temporatily storing the number of lines
lineRows = fgetl(fh);
while ischar(lineRows)
  lineRows = fgetl(fh);
  numLines = numLines+1;
end

% Figure out number of samples in training set by counting the number of columns in one line and counting number of delimiters
frewind(fh); % Rewind the file position to start
lineCols = fgets(fh);
if strfind(lineCols,char(9)) > 0
   delim = 9;
elseif strfind(lineCols,char(44)) > 0
   delim = 44;
elseif strfind(lineCols,char(32)) > 0
   delim = 44;
else
   delim = 1234;
end

if delim == 1234
   numCols = 1; % Only a single column
else
   delimiter = char(delim); % Define delimiter: char(9) = tab, char(44) = comma, char(32) = space
   numCols = numel(strfind(lineCols,delimiter)) + 1;
end
fclose(fh);
end