%
% Copyright (C) Dale L. Ang
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
%
% Convert the input spectrum into the internal representation.
% 

function [sampleVectorInt] = interpolateSpectrum(Parameters,sampleVector)

   xx = (1:Parameters.modelSize);
   yy = sampleVector;
   ifactor = Parameters.modelSizeInt/Parameters.modelSize;
   xxi = linspace(1,Parameters.modelSize,ceil(ifactor*Parameters.modelSize));
   sampleVectorInt = interp1(xx, yy, xxi, 'spline');

end