%
% Copyright (C) Dale L. Ang
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
%
% Finds and returns the x, y coordinates of the BMUs.
% 

function [BMU_x,BMU_y] = locateBMUs(Parameters,weightMap,sampleVectorInt,bmuDistance,weightVectorInt,BMU_x,BMU_y)

   for x = 1:Parameters.mapLength % iterate over the map space looking for the best match to sampleVector
      for y = 1:Parameters.mapLength
         weightVectorInt(:) = weightMap(x,y,1:Parameters.modelSizeInt); % Populate from the map
         % Calculate the distance between sampleVector and weightVector
         distance1 = sqrt(sum((sampleVectorInt - weightVectorInt).^2)); %
         if (distance1 < bmuDistance)
            bmuDistance = distance1;
            BMU_x = x;
            BMU_y = y;
         end 
      end
   end
   
end