%
% Copyright (C) Dale L. Ang
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
%
% Display plots of the final trained SOM
% 

function [] = plotFinalTrained(Parameters,sumNodes,weightMap,structures)

   % Set things up for these visualisations
   t = 1; % Not entirely necessary but keep it this way.
   sumCurrentNode = zeros(1,Parameters.modelSizeInt);
   for x = 1:Parameters.mapLength
      for y = 1:Parameters.mapLength
         sumCurrentNode(t) = sum(weightMap(x,y,:)); % Getting it into the right format to plot
         sumNodes(x,y) = sumCurrentNode(t); % update the sumNode map for plotting
      end 
   end   

   % SOM and SS plots
   midPoint = Parameters.modelSizeInt/2; % Values of weightMap to plot. Analogous to one wavelength of each spectrum.
   midPoint = round(midPoint);
   figure('Name','Trained SOM plots'); % Generate figure window
   axis on;
   
   subplot(2,4,1);
   surf(weightMap(:,:,midPoint),'EdgeColor','interp','FaceColor','flat');
   xlim([0 Parameters.mapLength+1]);
   ylim([0 Parameters.mapLength+1]);
   title('Midpoints');

   subplot(2,4,2);
   surf(structures(:,:,1),'EdgeColor','interp','FaceColor','flat');
   xlim([0 Parameters.mapLength+1]);
   ylim([0 Parameters.mapLength+1]);
   title('Property 1');

   subplot(2,4,3);
   surf(structures(:,:,2),'EdgeColor','interp','FaceColor','flat');
   xlim([0 Parameters.mapLength+1]);
   ylim([0 Parameters.mapLength+1]);
   title('Property 2');

   subplot(2,4,4);
   surf(structures(:,:,3),'EdgeColor','interp','FaceColor','flat');
   xlim([0 Parameters.mapLength+1]);
   ylim([0 Parameters.mapLength+1]);
   title('Property 3');

   subplot(2,4,5);
   surf(structures(:,:,4),'EdgeColor','interp','FaceColor','flat');
   xlim([0 Parameters.mapLength+1]);
   ylim([0 Parameters.mapLength+1]);
   title('Property 4');

   subplot(2,4,6);
   surf(structures(:,:,5),'EdgeColor','interp','FaceColor','flat');
   xlim([0 Parameters.mapLength+1]);
   ylim([0 Parameters.mapLength+1]);
   title('Property 5');

   subplot(2,4,7);
   surf(structures(:,:,6),'EdgeColor','interp','FaceColor','flat');
   xlim([0 Parameters.mapLength+1]);
   ylim([0 Parameters.mapLength+1]);
   title('Property 6');

   subplot(2,4,8);
   surf(sumNodes(:,:),'EdgeColor','interp','FaceColor','flat');
   xlim([0 Parameters.mapLength+1]);
   ylim([0 Parameters.mapLength+1]);
   axis on;
   title('Vector sum');

end