%
% Copyright (C) Dale L. Ang
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
%
% Read file and return number of lines and columns
% 

function [] = plotRealtime(Parameters,refSet,radiusPlot,learningRatePlot,sumNodes,weightMap)

% Set things up for the visualisations
   t = 1; % Not entirely necessary but keep it this way.
   sumCurrentNode = zeros(1,Parameters.modelSizeInt);
   for x = 1:Parameters.mapLength
      for y = 1:Parameters.mapLength
         sumCurrentNode(t) = sum(weightMap(x,y,:)); % Getting it into the right format to plot
         sumNodes(x,y) = sumCurrentNode(t); % update the sumNode map for plotting
      end 
   end   

   midP = Parameters.modelSizeInt/2;
   midP = round(midP);
   subplot(2,3,1);
   surf(weightMap(:,:,midP));
   axis ([0 Parameters.mapLength 0 Parameters.mapLength min(min(refSet)) max(max(refSet))]); % z axis min and max of ref set
   title('SOM at midpoint');

   subplot(2,3,2);
   surf(sumNodes(:,:));
   axis on;
   title('Vector sum');

   subplot(2,3,3);
   xslice = [Parameters.mapLength/2 Parameters.mapLength];
   yslice = [Parameters.mapLength/2 Parameters.mapLength];
   zslice = [1 midP];
   slice(weightMap(:,:,:),xslice,yslice,zslice);
   axis ([0 Parameters.mapLength 0 Parameters.mapLength 0 Parameters.modelSizeInt]);
   title('Volume');

   subplot(2,3,4);
   plot(learningRatePlot);
   title('Learning rate');
   axis on; %([iteration]);

   subplot(2,3,5);
   plot(radiusPlot);
   title('Radius');
   axis on;

   drawnow;

end