%
% Copyright (C) Dale L. Ang
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
%
% Reads SOM parameters from table.
%

function [Parameters] = readParameters(Filenames,Parameters)

   Filenames.parametersFile = strcat(Filenames.refPathSOM,filesep,'parameters',Filenames.testSetFileExt);

   parameters = readtable(Filenames.parametersFile);
   Parameters.mapLength = parameters.mapLength;
   Parameters.radius0 = parameters.radius0;
   Parameters.numIterations = parameters.numIterations;
   Parameters.L0 = parameters.L0;
   Parameters.numStructures = parameters.numStructures;
   Parameters.numBMUS = parameters.numBMUS;
   Parameters.modelSizeInt = parameters.modelSizeInt;
   Parameters.trainingSetSize = parameters.trainingSetSize;
   Parameters.t1 = parameters.t1;
   Parameters.wavelengthLong = parameters.wavelengthLong;
   Parameters.wavelengthShort = parameters.wavelengthShort;
   Parameters.waveUnits = string(parameters.waveUnits);
   
   Parameters.refSize = Parameters.trainingSetSize+1;

end