%
% Copyright (C) Dale L. Ang
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
%
% Reads in parameters of trained SOM. and returns parameters as a vector.
%

function [SOMparameters] = readSOMparameters(Filenames)

   % Read in parameter file
   parameterFile = load(strcat(Filenames.refPathSOM,filesep,'parameters',Filenames.testSetFileExt));

   % Read in the parameters of the SOM - direct, ie.  (1,x), referencing necessary in cases where there is more than one line
   SOMparameters = parameterFile(1,:);
   %Parameters.radius0 = parameterFile(1,2);
   %Parameters.numIterations = parameterFile(1,3);
   %Parameters.L0 = parameterFile(1,4);
   %Parameters.numStructures = parameterFile(1,5);
   %Parameters.numBMUS = parameterFile(1,6);
   %Parameters.modelSizeInt = parameterFile(1,7);
   %Parameters.trainingSetSize = parameterFile(1,8);
   %Parameters.t1 = parameterFile(1,9);
   %Parameters.wavelengthLong = parameterFile(1,10);
   %Parameters.wavelengthShort = parameterFile(1,11);
   %Parameters.refSize = Parameters.trainingSetSize+1;

end