%
% Copyright (C) Dale L. Ang
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
% initial implementation of baseline scattering correction code
%
% The rough model uses the following equation:
% t = a + bL^-g
%
% Here, we attempt to determine these parameters.
%

function scatteringCorrection(spectrum)
clear all;
dbstop if error;
tic;

%% Parameters
a = 0; % attenuation (baseline offset???).
b = 1; % maybe between 1-5?
%b = linspace(0.1,10,100); % 0.1 to 10 in 0.1 steps
g = 2; % around 2-4

L_min = 200; % shortest wavelength
L_max = 400; % longest wavelength
L_stepsize = 1; % 1nm increments

%%
t = zeros(200,4); % Initialise the matrix: wavelength, imported spectrum, tau, imported-tau

fclose('all');
clear;
end
