---
# Feel free to add content and custom Front Matter to this file.
# To modify the layout, see https://jekyllrb.com/docs/themes/#overriding-theme-defaults

layout: home
title:  "Welcome to SOMSpec!"

---
SOMSpec is a utility for predicting protein secondary structure from electronic spectra (such as circular dichroism (CD), infrared (IR/RAMAN). It does this through self organising maps – a form of machine learning. However, SOMSpec is so much more. It is a general purpose spectrum analysis tool limited only by the training set (and your imagination!).

* [Features](#features)
* [Citation](#citation)
* [Usage](#usage)
* [Download](#download)
* [About](#about)
* [Donations](#donations)

## Features
* Fast and flexible learning. A typical training run takes a few minutes on a recent desktop computer.
* Native support for Linux and Windows.
* Automated validation of training sets.
* Visualisation of the learning process.
* Too many others to mention... read the paper [here].

## Citation
* Please cite the following if you use any aspect of this program suite: doi://xxx

## Usage
* Tested and developed with Matlab 2018b. It was a concious decision throughout the development of SOMSpec to use very little specific Matlab components - to minimise any potential problems between Matlab versions and eases the possible transition to another language in the future.
* The base (non-GUI) implementation should also run in [GNU Octave][gnu-octave] but hasn't been recently tested.
* The GUI version is available precompiled for Linux and Windows.

## Download
* SOMSpec source code and precompiled binaries can be downloaded from [somspec.org][somspec]
* SOMSpec is licensed under GPL3.

## About
* SOMSpec was developed by Dale L. Ang. Websites: [daleang.org](https://daleang.org) or [somspec.org][somspec]]
* Dale's page at [Western Sydney University][WSU-dale].

## Donations
Please donate if you find this software useful:

* Aeon: `Wmsz3CbPdVk1aYdyMd7jJt8J3a9qjDQj54NjNd6fyW8ZAjwLkWPnDSr9vVcLcadLbS9PmiUqAkmiiLV8WUGLEvUB2dXpYjFVz`
* BTC: `1ERF4HUExb4KMcqu7g2TPkyyF1RPUuv2xw`
* XMR: `47cYhrULcp6i84FDjGd2tyLafUVc2kB2Ah8UEEmKJ1qd2U56PiqGJqg4bgFT8yMu1cje9Tzf8bvJn9PkrPAWmkDFM7KcWeK`

[gnu-octave]:  https://www.gnu.org/software/octave/
[somspec]:     https://www.somspec.org
[WSU-dale]:    https://www.westernsydney.edu.au/staff_profiles/WSU/mr_dale_ang
